> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sociavault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Users

> Scrapes TikTok users matching a search query

<Note>
  💳 **1 credit** per request
</Note>


## OpenAPI

````yaml GET /v1/scrape/tiktok/search/users
openapi: 3.1.0
info:
  title: SociaVault API
  version: 1.0.0
  description: >-
    # SociaVault API Documentation


    The SociaVault API provides comprehensive access to social media data
    extraction across multiple platforms.


    ## Features


    - **Multi-Platform Support**: TikTok, Instagram, YouTube, Facebook, Twitter,
    Reddit, Threads, and more

    - **Credit-Based System**: Pay-as-you-go pricing with transparent credit
    costs

    - **High Performance**: Fast, reliable data extraction

    - **Comprehensive Data**: Detailed user profiles, videos, posts, comments,
    and analytics


    ## Authentication


    All API requests require authentication using an API key in the `X-API-Key`
    header:


    ```bash

    X-API-Key: sk_live_your_api_key_here

    ```


    Get your API key from the [SociaVault
    Dashboard](https://sociavault.com/dashboard).


    ## Credits


    Each endpoint consumes credits based on data complexity:

    - Simple requests (profiles): 1 credit

    - Complex requests (demographics): 20+ credits

    - Paginated requests: Credits per page


    Check your credit balance in the dashboard or via the API.


    ## Support


    - **Documentation**: https://docs.sociavault.com

    - **Email**: support@sociavault.com

    - **Discord**: https://discord.gg/sociavault
  contact:
    name: SociaVault Support
    email: support@sociavault.com
    url: https://sociavault.com/support
  license:
    name: Commercial
    url: https://sociavault.com/terms
servers:
  - url: https://api.sociavault.com
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: account
    description: Account management and credit balance
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/account
  - name: tiktok
    description: Scrape TikTok profiles, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok
  - name: tiktok-shop
    description: Everything about TikTok Shop
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok-shop
  - name: instagram
    description: Gets Instagram profiles, posts, and reels
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/instagram
  - name: youtube
    description: Scrape YouTube channels, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/youtube
  - name: linkedin
    description: Scrape LinkedIn
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedin
  - name: facebook
    description: Get public Facebook profiles and posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebook
  - name: facebookAdLibrary
    description: Scrapes the Facebook (Meta) Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookAdLibrary
  - name: facebookMarketplace
    description: Search Facebook Marketplace and pull full listing details
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookMarketplace
  - name: googleAdLibrary
    description: >-
      Scrape the Google Ad Transparency Library. *This only gets the public ads.
      Some ads you need to log in for and sadly we can't get those. Also, since
      there are so many variations, the return types might not all be 100% the
      same.
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/googleAdLibrary
  - name: linkedinAdLibrary
    description: Search the LinkedIn Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedinAdLibrary
  - name: twitter
    description: Get Twitter profiles, tweets, followers and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/twitter
  - name: reddit
    description: Scrape Reddit posts and comments
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/reddit
  - name: threads
    description: Get Threads posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/threads
  - name: google
    description: Scrape Google search results
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/google
paths:
  /v1/scrape/tiktok/search/users:
    get:
      tags:
        - tiktok
      summary: Search Users
      description: Scrapes TikTok users matching a search query
      operationId: tiktok_Search_Users
      parameters:
        - name: query
          in: query
          description: Search query for users
          required: true
          schema:
            type: string
        - name: cursor
          in: query
          description: Cursor to get more users. Get 'cursor' from previous response.
          required: false
          schema:
            type: integer
            example: 10
        - name: trim
          in: query
          description: Set to true to get a trimmed response
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: >-
            Successful response


            **Key Response Fields:**

            - `data.user_list[].user_info.unique_id`: User's TikTok username

            - `data.user_list[].user_info.nickname`: User's display name

            - `data.user_list[].user_info.uid`: User's numeric ID

            - `data.user_list[].user_info.sec_uid`: User's secure user ID (use
            for profile lookups)

            - `data.user_list[].user_info.signature`: User's bio

            - `data.user_list[].user_info.follower_count`: Follower count

            - `data.user_list[].user_info.following_count`: Following count

            - `data.user_list[].user_info.total_favorited`: Total likes received
            across all videos

            - `data.user_list[].user_info.aweme_count`: Number of videos posted

            - `data.user_list[].user_info.custom_verify`: Verification label
            (e.g. `Verified account`)

            - `data.user_list[].user_info.avatar_larger.url_list[0]`: Profile
            picture (high-res)

            - `data.user_list[].user_info.avatar_medium.url_list[0]`: Profile
            picture (medium)

            - `data.user_list[].user_info.search_user_desc`: User bio with
            search highlighting

            - `data.user_list[].user_info.search_user_name`: Username with
            search highlighting

            - `data.cursor`: Pagination cursor — pass as `cursor` parameter to
            get the next page

            - `data.has_more`: Whether more results are available (`1` = yes)
          content:
            application/json:
              examples:
                full:
                  summary: Full Response
                  value:
                    success: true
                    data:
                      success: true
                      challenge_list: null
                      cursor: 30
                      extra:
                        api_debug_info: null
                        fatal_item_ids: {}
                        logid: 20260208184749D67D1C5BB3C78587C708
                        now: 1770576470000
                        search_request_id: ''
                        server_stream_time: 519
                      feedback_type: user
                      global_doodle_config:
                        ab_params:
                          user_relation_ship: '1'
                        display_filter_bar: 1
                        feedback_survey:
                          '0':
                            feedback_type: user
                            long_stress_info: null
                            multiple_choices:
                              '0':
                                key: Dislike
                                value: Dislike
                              '1':
                                key: Profile not found
                                value: Profile not found
                              '2':
                                key: Unmatched posts
                                value: Unmatched posts
                              '3':
                                key: Inappropriate content
                                value: Inappropriate content
                              '4':
                                key: Others
                                value: Others
                            send_us_multiple_choices: null
                        hide_results: false
                        hit_dolphin: false
                        hit_shark: false
                        keyword: taylorswift
                        new_source: switch_tab
                        search_channel: musically_user
                        tns_search_result: Pass
                      has_more: 1
                      input_keyword: taylorswift
                      log_pb:
                        impr_id: 20260208184749D67D1C5BB3C78587C708
                      music_list: null
                      qc: ''
                      rid: 20260208184749D67D1C5BB3C78587C708
                      status_code: 0
                      type: 1
                      user_list:
                        '0':
                          challenges: null
                          effects: null
                          items: null
                          mix_list: null
                          musics: null
                          position: null
                          uniqid_position: null
                          user_info:
                            accept_private_policy: false
                            account_labels: null
                            ad_cover_url: null
                            advance_feature_item_order: null
                            advanced_feature_info: null
                            authority_status: 0
                            avatar_168x168:
                              height: 720
                              uri: >-
                                tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662
                              url_list:
                                '0': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:168:168:q70.heic?dr=8833&idc=useast8&ps=87d6e48a&refresh_token=c2c5b604&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=XQp0D7ngaHF%2FcQdPEZ1zLiiqdvE%3D
                                '1': >-
                                  https://p16-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:168:168:q70.heic?dr=8833&idc=useast8&ps=87d6e48a&refresh_token=8fbe0fa1&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=JB8Ww1K2LfdV9WbBELdK6yNASk4%3D
                                '2': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:168:168:q70.jpeg?dr=8833&idc=useast8&ps=87d6e48a&refresh_token=d1524738&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=oBTZvsKj2eTerfTbNh%2Bx2FE4vOo%3D
                              url_prefix: null
                              width: 720
                            avatar_300x300:
                              height: 720
                              uri: >-
                                tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662
                              url_list:
                                '0': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:300:300:q70.heic?dr=8834&idc=useast8&ps=87d6e48a&refresh_token=27a9e067&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=CZDp9I5KbkRfNlLGYmVu5vFZvTU%3D
                                '1': >-
                                  https://p16-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:300:300:q70.heic?dr=8834&idc=useast8&ps=87d6e48a&refresh_token=bcc9ec50&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=0%2BI95zjaRJo8CMO%2FvxBU4aHRkt8%3D
                                '2': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg?dr=8834&idc=useast8&ps=87d6e48a&refresh_token=7e942f8a&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=R%2F1jJCkA%2BtcviC01pZjG93M7Unc%3D
                              url_prefix: null
                              width: 720
                            avatar_larger:
                              height: 720
                              uri: >-
                                tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662
                              url_list:
                                '0': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:1080:1080:q70.heic?dr=8837&idc=useast8&ps=87d6e48a&refresh_token=d30432d0&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=OIbxfyEuPUBGZdbgwXwZCqugUyQ%3D
                                '1': >-
                                  https://p16-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:1080:1080:q70.heic?dr=8837&idc=useast8&ps=87d6e48a&refresh_token=c5314c36&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=%2F2iEN21390NUjDfvccWbLpCER8s%3D
                                '2': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:1080:1080:q70.jpeg?dr=8837&idc=useast8&ps=87d6e48a&refresh_token=7e4f8246&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=kcDG6zjV99HWkU7ukXGTKB%2FbUMI%3D
                              url_prefix: null
                              width: 720
                            avatar_medium:
                              height: 720
                              uri: >-
                                tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662
                              url_list:
                                '0': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:720:720:q70.heic?dr=8836&idc=useast8&ps=87d6e48a&refresh_token=3ad8b0f4&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=sMHbb83Nwwc6Wu089cfFDTiibe4%3D
                                '1': >-
                                  https://p16-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:720:720:q70.heic?dr=8836&idc=useast8&ps=87d6e48a&refresh_token=dd16c4e4&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=z9iR9MnQU2ksLcJeBGlmTHA82Wg%3D
                                '2': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:720:720:q70.jpeg?dr=8836&idc=useast8&ps=87d6e48a&refresh_token=d98f5bc1&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=2ih1oZw7rmSQbIDxbV4aB8yz2nM%3D
                              url_prefix: null
                              width: 720
                            avatar_thumb:
                              height: 720
                              uri: >-
                                tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662
                              url_list:
                                '0': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:100:100:q70.heic?biz_tag=musically_user.user_cover&dr=8835&idc=useast8&ps=87d6e48a&refresh_token=c69c26f9&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=XHaAqARleuJKJMkoP5ypluiFjKc%3D
                                '1': >-
                                  https://p16-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:100:100:q70.heic?biz_tag=musically_user.user_cover&dr=8835&idc=useast8&ps=87d6e48a&refresh_token=e8a02047&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=qBrZ4DRMtvDkulUKon9zFkkbSE8%3D
                                '2': >-
                                  https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:100:100:q70.jpeg?biz_tag=musically_user.user_cover&dr=8835&idc=useast8&ps=87d6e48a&refresh_token=bd57613e&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=%2BQZcKoZGX22XK%2Froz%2Bt5eLQXSM4%3D
                              url_prefix: null
                              width: 720
                            avatar_uri: >-
                              tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662
                            aweme_count: 81
                            block_status: 0
                            bold_fields: null
                            can_message_follow_status_list: null
                            can_set_geofencing: null
                            cha_list: null
                            comment_filter_status: 0
                            comment_setting: 0
                            commerce_user_level: 0
                            cover_url: null
                            custom_verify: Verified account
                            cv_level: '2'
                            download_prompt_ts: 0
                            enable_direct_message: false
                            enabled_filter_all_comments: false
                            enterprise_verify_reason: ''
                            events: null
                            fake_data_info: {}
                            fb_expire_time: 0
                            follow_status: 0
                            follower_count: 33302213
                            follower_status: 0
                            followers_detail: null
                            following_count: 0
                            friends_status: 0
                            geofencing: null
                            hide_search: false
                            homepage_bottom_toast: null
                            ins_id: taylorswift
                            is_ad_fake: false
                            is_block: false
                            is_discipline_member: false
                            is_mute: 0
                            is_mute_lives: 0
                            is_mute_non_story_post: 0
                            is_mute_story: 0
                            is_private_account: 0
                            is_star: false
                            item_list: null
                            live_agreement: 0
                            live_commerce: false
                            live_verify: 0
                            mention_status: 1
                            mutual_relation_avatars: null
                            name_field: unique_id
                            need_points: null
                            need_recommend: 0
                            nickname: Taylor Swift
                            original_musician:
                              digg_count: 0
                              music_count: 7910
                              music_used_count: 0
                              new_release_clip_ids: null
                            platform_sync_info: null
                            prevent_download: false
                            relative_users: null
                            reply_with_video_flag: 4
                            room_id: 0
                            room_id_str: '0'
                            search_highlight: null
                            search_user_desc: Taylor Swift
                            search_user_name: taylorswift
                            sec_uid: >-
                              MS4wLjABAAAAqB08cUbXaDWqbD6MCga2RbGTuhfO2EsHayBYx08NDrN7IE3jQuRDNNN6YwyfH6_6
                            secret: 0
                            shield_comment_notice: 0
                            shield_digg_notice: 0
                            shield_edit_field_info: null
                            shield_follow_notice: 0
                            short_id: '0'
                            show_image_bubble: false
                            special_account:
                              special_account_list: null
                            special_lock: 1
                            status: 1
                            stitch_setting: 0
                            total_favorited: 267837265
                            type_label: null
                            uid: '6881290705605477381'
                            unique_id: taylorswift
                            user_canceled: false
                            user_mode: 1
                            user_period: 0
                            user_profile_guide: null
                            user_rate: 1
                            user_spark_info: {}
                            user_tags: null
                            verification_type: 0
                            verify_info: ''
                            video_icon:
                              height: 720
                              uri: ''
                              url_list: {}
                              url_prefix: null
                              width: 720
                            white_cover_url: null
                            with_commerce_entry: false
                    credits_used: 1
                    endpoint: tiktok/search/users
                trimmed:
                  summary: Trimmed Response
                  value:
                    success: true
                    data:
                      success: true
                      users:
                        '0':
                          follower_count: 33302363
                          following_count: 0
                          nickname: Taylor Swift
                          sec_uid: >-
                            MS4wLjABAAAAqB08cUbXaDWqbD6MCga2RbGTuhfO2EsHayBYx08NDrN7IE3jQuRDNNN6YwyfH6_6
                          uid: '6881290705605477381'
                          unique_id: taylorswift
                          avatar_medium:
                            height: 720
                            uri: >-
                              tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662
                            url_list:
                              '0': >-
                                https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:720:720:q70.webp?dr=8836&idc=useast8&ps=87d6e48a&refresh_token=94abca0d&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=E6OmecRu0WkuPBPTrXNBopwTnQ4%3D
                              '1': >-
                                https://p16-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:720:720:q70.webp?dr=8836&idc=useast8&ps=87d6e48a&refresh_token=74c7e53f&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=VsZLxd8DdAwmCk09%2BFQcpHW8Ljw%3D
                              '2': >-
                                https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/701431b0215286dd09f201e25b483662~tplv-tiktokx-cropcenter-q:720:720:q70.jpeg?dr=8836&idc=useast8&ps=87d6e48a&refresh_token=d98f5bc1&s=SEARCH&sc=avatar&shcp=c1333099&shp=30310797&t=223449c4&x-expires=1770660000&x-signature=2ih1oZw7rmSQbIDxbV4aB8yz2nM%3D
                            url_prefix: null
                            width: 720
                      cursor: 30
                    credits_used: 1
                    endpoint: tiktok/search/users
        '400':
          description: Bad Request - Invalid parameters or missing required fields
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: 'Missing required parameter: handle'
                  endpoint:
                    type: string
                  credits_required:
                    type: integer
                required:
                  - error
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
                  docs:
                    type: string
                    example: https://docs.sociavault.com/authentication
                required:
                  - error
        '402':
          description: Payment Required - Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient credits
                  required:
                    type: integer
                    example: 1
                    description: Credits required for this request
                  available:
                    type: integer
                    example: 0
                    description: Credits currently available
                required:
                  - error
                  - required
                  - available
        '500':
          description: Internal Server Error - Service configuration or processing error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Service configuration error
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`

        Get your API key from the [Dashboard](https://sociavault.com/dashboard).

````